Skip to content
Start here

List IPFS Universal Path Gateway Content List Entries

client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.list(stringidentifier, EntryListParams { zone_id } params, RequestOptionsoptions?): EntryListResponse { entries } | null
GET/zones/{zone_id}/web3/hostnames/{identifier}/ipfs_universal_path/content_list/entries

List IPFS Universal Path Gateway Content List Entries

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Web3 Hostnames WriteWeb3 Hostnames Read
ParametersExpand Collapse
identifier: string

Specify the identifier of the hostname.

maxLength32
params: EntryListParams { zone_id }
zone_id: string

Specify the identifier of the hostname.

maxLength32
ReturnsExpand Collapse
EntryListResponse { entries }
entries?: Array<Entry>

Provides content list entries.

id?: string

Specify the identifier of the hostname.

maxLength32
content?: string

Specify the CID or content path of content to block.

maxLength500
created_on?: string
formatdate-time
description?: string

Specify an optional description of the content list entry.

maxLength500
modified_on?: string
formatdate-time
type?: "cid" | "content_path"

Specify the type of content list entry to block.

One of the following:
"cid"
"content_path"

List IPFS Universal Path Gateway Content List Entries

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const entries = await client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.list(
  '023e105f4ecef8ad9ca31a8372d0c353',
  { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(entries.entries);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "entries": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "content": "QmPZ9gcCEpqKTo6aq61g2nXGUhM4iCL3ewB6LDXZCtioEB",
        "created_on": "2014-01-01T05:20:00.12345Z",
        "description": "this is my content list entry",
        "modified_on": "2014-01-01T05:20:00.12345Z",
        "type": "cid"
      }
    ]
  },
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "entries": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "content": "QmPZ9gcCEpqKTo6aq61g2nXGUhM4iCL3ewB6LDXZCtioEB",
        "created_on": "2014-01-01T05:20:00.12345Z",
        "description": "this is my content list entry",
        "modified_on": "2014-01-01T05:20:00.12345Z",
        "type": "cid"
      }
    ]
  },
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}